Page MenuHomePhabricator

VisualEditor:[Regression pre-wmf14] While switching to Edit source mode from the tab in toolbar , selecting "Discard Changes" redirects to the Edit source mode of the main page
Closed, ResolvedPublic

Description

Screenshot

Steps to reproduce:

1.Open a page with VE
2.Edit the page
3.Now click on the "Edit Source" tab
4.Click on the option "Discard Changes"

Observed Result:
It redirects to the edit source mode of the main page .

See the screenshot attached.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz68121

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:37 AM
bzimport set Reference to bz68121.
Ryasmeen created this task.Jul 16 2014, 9:08 PM

It happens also if I switch to Edit Source mode from the Switch to Source Editing option.

This is a fun one. Are we passing '' to the API instead of the page name?

Change 146956 had a related patch set uploaded by Alex Monk:
Set title of page to use if discarding changes when changing to the wikitext editor

https://gerrit.wikimedia.org/r/146956

Change 146956 merged by jenkins-bot:
Set title of page to use if discarding changes when changing to the wikitext editor

https://gerrit.wikimedia.org/r/146956

Verified the fix in test2

Stryn added a comment.Jul 21 2014, 5:17 PM

It still redirects to the main page, if you choose some version from the history page and then do the same.

  1. https://en.wikipedia.org/w/index.php?title=Test&oldid=614834396
  2. click edit
  3. (make some changes to the page)
  4. switch to source editing
  5. discard changes

and you're again editing the main page

Are you sure that wiki is running a version of VisualEditor with the fix for this bug? I'm pretty sure Wikipedia is supposed to get this change is on Thursday...

Stryn added a comment.Jul 21 2014, 5:37 PM

(In reply to Alex Monk from comment #7)

Are you sure that wiki is running a version of VisualEditor with the fix for
this bug? I'm pretty sure Wikipedia is supposed to get this change is on
Thursday...

I see. I thought it was already deployed to all wikis. Sorry.

https://www.mediawiki.org/wiki/MediaWiki_1.24/Roadmap is a useful reference for Wikimedia deployments

Verified the fix in production en.wiki